---
title: "Gets specific Inventory Movement Log by unique id"
url: "https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c/operations/get-inventorymovementlogs-id"
---

> Full API specification: https://developer.retailexpress.com.au/apis/retail-express-api-21-v2/versions/210b509a-613e-44ac-a87b-ef6c22c23a2c.md

# Gets specific Inventory Movement Log by unique id

`GET` `/inventorymovementlogs/{id}`

Operation ID: `get-inventorymovementlogs-id`

Gets specific Inventory Movement Log by unique id

## Path parameters

- `id` (integer, int32, required) - Inventory Movement Log id

## Header parameters

- `x-api-key` (string, required) - Api subscription key
- `Cache-Control` (string, optional)
- `Authorization` (string, required) - Bearer token for authorization (e.g., Bearer <token>)

## Responses

- `200` - Returns found Inventory Movement Log
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Inventory Movement Log not found

## OpenAPI definition

```yaml
openapi: 3.0.1
info:
  title: Retail Express API
  version: v2.1
servers:
  - url: https://api.retailexpress.com.au/v2.1
paths:
  /inventorymovementlogs/{id}:
    get:
      tags:
        - inventorymovementlogs
      summary: Gets specific Inventory Movement Log by unique id
      description: Gets specific Inventory Movement Log by unique id
      operationId: get-inventorymovementlogs-id
      parameters:
        - name: id
          in: path
          description: Inventory Movement Log id
          required: true
          schema:
            type: integer
            description: Inventory Movement Log id
            format: int32
            example: 1
        - name: x-api-key
          in: header
          description: Api subscription key
          required: true
          schema:
            type: string
        - name: Cache-Control
          in: header
          required: false
          schema:
            type: string
            default: no-cache
        - name: Authorization
          in: header
          required: true
          description: Bearer token for authorization (e.g., Bearer <token>)
          schema:
            type: string
      responses:
        "200":
          description: Returns found Inventory Movement Log
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/InventoryMovementLogs"
              example:
                id: 0
                created_on: string
                created_by:
                  id: 0
                  user_code: string
                  first_name: string
                  surname: string
                outlet:
                  id: 0
                  name: string
                product:
                  id: 0
                  supplier_sku: string
                  short_description: string
                  product_type:
                    id: 0
                    name: string
                    modified_on: string
                movement_type: string
                origin: string
                comment: string
                reference_id: string
                quantity_available:
                  before: 0
                  delta: 0
                  after: 0
                quantity_allocated:
                  before: 0
                  delta: 0
                  after: 0
                quantity_picked:
                  before: 0
                  delta: 0
                  after: 0
                quantity_in_transit_outbound:
                  before: 0
                  delta: 0
                  after: 0
                quantity_in_transit_inbound:
                  before: 0
                  delta: 0
                  after: 0
                quantity_received:
                  before: 0
                  delta: 0
                  after: 0
                quantity_requested:
                  before: 0
                  delta: 0
                  after: 0
                quantity_onorder:
                  before: 0
                  delta: 0
                  after: 0
                quantity_faulty:
                  before: 0
                  delta: 0
                  after: 0
                quantity_onreturn:
                  before: 0
                  delta: 0
                  after: 0
                quantity_soh:
                  before: 0
                  delta: 0
                  after: 0
                buy_price_ex:
                  before: 0
                  change: 0
                  after: 0
                direct_costs_ex:
                  before: 0
                  change: 0
                  after: 0
                cogs_ex:
                  before: 0
                  change: 0
                  after: 0
                total_cogs_ex:
                  before: 0
                  change: 0
                  after: 0
        "400":
          description: Bad request
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "401":
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "403":
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
        "404":
          description: Inventory Movement Log not found
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/ProblemDetails"
              example:
                type: string
                title: string
                status: 0
                detail: string
                instance: string
security: []
components:
  schemas:
    InventoryMovementLogs:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Inventory Movement Logs identifier
          format: int32
          nullable: true
        created_on:
          type: string
          description: Created on
          format: date-time
        created_by:
          $ref: "#/components/schemas/UserExtended"
        outlet:
          $ref: "#/components/schemas/OutletLimited"
        product:
          $ref: "#/components/schemas/InventoryMovementLogsProduct"
        movement_type:
          type: string
          description: Source type
          nullable: true
        origin:
          type: string
          description: Origin
          nullable: true
        comment:
          type: string
          description: Comment
          nullable: true
        reference_id:
          type: string
          description: Reference id
          nullable: true
        quantity_available:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_allocated:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_picked:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_in_transit_outbound:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_in_transit_inbound:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_received:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_requested:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_onorder:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_faulty:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_onreturn:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        quantity_soh:
          $ref: "#/components/schemas/InventoryMovementLogsDelta"
        buy_price_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        direct_costs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        cogs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
        total_cogs_ex:
          $ref: "#/components/schemas/InventoryMovementLogsChange"
      additionalProperties: false
      description: Inventory Movement Logs model
    ProblemDetails:
      title: ""
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    UserExtended:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Id.
          format: int32
          nullable: true
        user_code:
          type: string
          description: User code.
          nullable: true
        first_name:
          type: string
          description: First name.
          nullable: true
        surname:
          type: string
          description: Surname.
          nullable: true
      additionalProperties: false
    OutletLimited:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Outlet id
          format: int32
          nullable: true
        name:
          maxLength: 255
          minLength: 0
          type: string
          description: Outlet name
          nullable: true
      additionalProperties: false
    InventoryMovementLogsProduct:
      title: ""
      type: object
      properties:
        id:
          type: integer
          format: int32
          nullable: true
        supplier_sku:
          type: string
          nullable: true
        short_description:
          type: string
          nullable: true
        product_type:
          $ref: "#/components/schemas/ProductType"
      additionalProperties: false
      description: Inventory Movement Logs model
    InventoryMovementLogsDelta:
      title: ""
      type: object
      properties:
        before:
          type: integer
          description: Before
          format: int32
          nullable: true
        delta:
          type: integer
          description: Delta
          format: int32
          nullable: true
        after:
          type: integer
          description: After
          format: int32
          nullable: true
      additionalProperties: false
      description: Inventory Movement Logs Delta model
    InventoryMovementLogsChange:
      title: ""
      type: object
      properties:
        before:
          type: number
          description: Before
          format: double
          nullable: true
        change:
          type: number
          description: Delta
          format: double
          nullable: true
        after:
          type: number
          description: After
          format: double
          nullable: true
      additionalProperties: false
      description: Inventory Movement Logs Change model
    ProductType:
      title: ""
      type: object
      properties:
        id:
          type: integer
          description: Product type Id.
          format: int32
          nullable: true
        name:
          maxLength: 50
          minLength: 0
          pattern: ^[a-zA-Z0-9\s./;:\-_+()*&^%$#@]+$
          type: string
          description: Product type description (Name)
          nullable: true
        modified_on:
          type: string
          description: Modified on
          format: date-time
      additionalProperties: false
      description: Product Type Model
```
